package com.uas.cloud.mall.model;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * 用户操作日志
 *
 * @author suntg
 * @version 2017-08-03 15:04:38 创建
 */
@Document(collection = "usage_logs")
public class UsageLog {

    /**
     * id
     */
    @Id
    private String id;

    /**
     * 客户端IP地址
     */
    private String ip;

    /**
     * 发起时间
     */
    private Long date;

    /**
     * 操作请求uri
     */
    private String uri;

    /**
     * 操作请求对应的实现方法
     */
    private String method;

    /**
     * 请求参数
     */
    private String params;

    /**
     * 从开始到完成所用时间，毫秒
     */
    private long time;

    /**
     * 个人UU号，可以为空
     */
    private Long userUu;

    /**
     * 个人名字，可以为空
     */
    private String userName;

    /**
     * 企业UU号，可以为空
     */
    private Long enUu;

    /**
     * 企业名称，可以为空
     */
    private String enName;

    /**
     * 模块名称
     */
    private String module;

    /**
     * 操作详情
     */
    private String detail;

	public UsageLog() {
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public Long getDate() {
        return date;
    }

    public void setDate(Long date) {
        this.date = date;
    }

    public String getUri() {
        return uri;
    }

    public void setUri(String uri) {
        this.uri = uri;
    }

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    public String getParams() {
        return params;
    }

    public void setParams(String params) {
        this.params = params;
    }

    public long getTime() {
        return time;
    }

    public void setTime(long time) {
        this.time = time;
    }

    public Long getUserUu() {
        return userUu;
    }

    public void setUserUu(Long userUu) {
        this.userUu = userUu;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Long getEnUu() {
        return enUu;
    }

    public void setEnUu(Long enUu) {
        this.enUu = enUu;
    }

    public String getEnName() {
        return enName;
    }

    public void setEnName(String enName) {
        this.enName = enName;
    }

    public String getModule() {
        return module;
    }

    public void setModule(String module) {
        this.module = module;
    }

    public String getDetail() {
        return detail;
    }

    public void setDetail(String detail) {
        this.detail = detail;
    }
}
