package com.uas.cloud.mall.service;

import com.uas.cloud.mall.model.UsageLog;
import com.uas.cloud.mall.support.PageInfo;
import com.uas.cloud.mall.support.ResultMap;


/**
 * 用户操作日志业务类
 *
 * @author huxz
 * @version 2017-08-03 16:26:44 创建
 */
public interface UsageLogService {

	/**
	 * 当用户操作时，记录用户的操作日志
	 *
	 * @param usageLog	操作日志
	 * @return	操作结果
	 */
	ResultMap saveLogWhenUserOperate(UsageLog usageLog);

	/**
	 * 当管理员分页获取操作日志时，返回分页结果
	 *
	 * @param pageInfo    分页参数
	 * @return	操作结果
	 */
	ResultMap pageLogsWhenAdminSelect(PageInfo pageInfo);
}
