package com.uas.cloud.mall.service.impl;

import com.uas.cloud.mall.dao.UsageLogDao;
import com.uas.cloud.mall.model.UsageLog;
import com.uas.cloud.mall.service.UsageLogService;
import com.uas.cloud.mall.support.CodeType;
import com.uas.cloud.mall.support.PageInfo;
import com.uas.cloud.mall.support.ResultMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.stereotype.Service;


/**
 * 用户操作日志业务实现类
 *
 * @author huxz
 * @version 2017-08-03 16:34:25 创建
 */
@Service
public class UsageLogServiceImpl implements UsageLogService {

	private final UsageLogDao usageLogDao;

	@Autowired
	public UsageLogServiceImpl(UsageLogDao usageLogDao) {
		this.usageLogDao = usageLogDao;
	}

	@Override
	public ResultMap saveLogWhenUserOperate(UsageLog usageLog) {
		if (usageLog == null) {
			return ResultMap.fail(CodeType.NO_INFO, "用户操作日志不存在");
		}
		usageLogDao.save(usageLog);
		return ResultMap.success(usageLog.getId());
	}

	@Override
	public ResultMap pageLogsWhenAdminSelect(PageInfo pageInfo) {
		if (pageInfo == null) {
			return ResultMap.fail(CodeType.NO_INFO, "分页参数不存在");
		}
		Page<UsageLog> page = usageLogDao.findAll(pageInfo);
		return ResultMap.success(page);
	}
}
