package com.uas.cloud.mall.support;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * 请求结果集
 *
 * history:
 * Created by huxz on 2017-3-29 16:30:32
 */
@JsonInclude(JsonInclude.Include.NON_EMPTY)
public class ResultMap {

	private int code;

	private boolean success;

	private String message;

	private Object data;

	private ResultMap() {
	}

	private ResultMap(CodeType status, String message) {
		this.code = status.code();
		if (CodeType.OK == status) {
			this.success = true;
		} else {
			this.success = false;
			this.message = message;
		}
	}

	public int getCode() {
		return code;
	}

	public void setCode(int code) {
		this.code = code;
	}

	public boolean isSuccess() {
		return success;
	}

	public void setSuccess(boolean success) {
		this.success = success;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public Object getData() {
		return data;
	}

	public void setData(Object data) {
		this.data = data;
	}

	public static ResultMap success(Object data) {
		ResultMap result = new ResultMap(CodeType.OK, null);
		result.data = data;
		return result;
	}

	public static ResultMap fail(CodeType status, String message) {
		return new ResultMap(status, message);
	}
}
